### disposition_traits

Traits type to adapt arbitrary error types as dispositions.

    template<
        typename T>
    struct disposition_traits

##### Member Functions

Name | Description
--- | ---
not_an_error [static] | Determine whether a disposition represents no error.
throw_exception [static] | Throw an exception if the disposition represents an error.
to_exception_ptr [static] | Convert a disposition into an exception_ptr.

This type may be specialised for user-defined types, to allow them to be treated as a disposition by asio.

The primary trait is not defined.

##### Requirements

Header: `asio/disposition.hpp`

Convenience header: `asio.hpp`